> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brilo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an agent

> The agent with the config callers hear now (the live version, latest commit), whether a draft is waiting to be published, its phone numbers and its revision.



## OpenAPI

````yaml /api-reference/openapi.json get /agents/{id}
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Public REST API for Brilo. Authenticate by sending your API key as a Bearer
    token in the `Authorization` header.
  title: Brilo API
  version: '2025-03-02'
servers:
  - description: Production
    url: https://api.brilo.ai/v1
security: []
tags: []
paths:
  /agents/{id}:
    get:
      tags:
        - Agents (public)
      summary: Get an agent
      description: >-
        The agent with the config callers hear now (the live version, latest
        commit), whether a draft is waiting to be published, its phone numbers
        and its revision.
      operationId: getPublicAgent
      parameters:
        - description: Agent id (UUID).
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  config:
                    additionalProperties: false
                    description: 'What callers hear now: the live version, latest commit.'
                    properties:
                      call_handling:
                        additionalProperties: false
                        properties:
                          greeting_interruptible:
                            type: boolean
                          idle_reminder:
                            additionalProperties: false
                            properties:
                              after_seconds:
                                maximum: 9007199254740991
                                minimum: -9007199254740991
                                nullable: true
                                type: integer
                              enabled:
                                type: boolean
                              message:
                                nullable: true
                                type: string
                            required:
                              - enabled
                              - after_seconds
                              - message
                            type: object
                          max_duration_seconds:
                            maximum: 9007199254740991
                            minimum: -9007199254740991
                            type: integer
                          silence_timeout_seconds:
                            maximum: 9007199254740991
                            minimum: -9007199254740991
                            nullable: true
                            type: integer
                        required:
                          - max_duration_seconds
                          - silence_timeout_seconds
                          - idle_reminder
                          - greeting_interruptible
                        type: object
                      greeting:
                        nullable: true
                        type: string
                      instructions:
                        nullable: true
                        type: string
                      languages:
                        items:
                          type: string
                        type: array
                      model:
                        additionalProperties: false
                        properties:
                          id:
                            nullable: true
                            type: string
                        required:
                          - id
                        type: object
                      recording:
                        additionalProperties: false
                        properties:
                          consent:
                            additionalProperties: false
                            properties:
                              prompt:
                                nullable: true
                                type: string
                              type:
                                type: string
                            required:
                              - type
                              - prompt
                            type: object
                          enabled:
                            type: boolean
                          transcript_enabled:
                            type: boolean
                        required:
                          - enabled
                          - consent
                          - transcript_enabled
                        type: object
                      timezone:
                        nullable: true
                        type: string
                      transcriber:
                        additionalProperties: false
                        properties:
                          id:
                            nullable: true
                            type: string
                        required:
                          - id
                        type: object
                      voice:
                        additionalProperties: false
                        properties:
                          id:
                            nullable: true
                            type: string
                          speaking_rate:
                            type: number
                        required:
                          - id
                          - speaking_rate
                        type: object
                      voicemail:
                        additionalProperties: false
                        properties:
                          behavior:
                            nullable: true
                            type: string
                          message:
                            nullable: true
                            type: string
                        required:
                          - behavior
                          - message
                        type: object
                    required:
                      - greeting
                      - instructions
                      - voice
                      - model
                      - transcriber
                      - languages
                      - timezone
                      - call_handling
                      - voicemail
                      - recording
                    type: object
                  created_at:
                    type: string
                  description:
                    nullable: true
                    type: string
                  draft_pending:
                    type: boolean
                  id:
                    type: string
                  live_version_id:
                    nullable: true
                    type: string
                  name:
                    nullable: true
                    type: string
                  phone_numbers:
                    items:
                      type: string
                    type: array
                  revision:
                    nullable: true
                    type: string
                  versioning_enabled:
                    type: boolean
                required:
                  - id
                  - name
                  - description
                  - live_version_id
                  - versioning_enabled
                  - draft_pending
                  - config
                  - phone_numbers
                  - revision
                  - created_at
                type: object
          description: ''
        '404':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  details:
                    additionalProperties: {}
                    type: object
                  error_code:
                    type: string
                  errors:
                    items:
                      additionalProperties: false
                      properties:
                        error_code:
                          type: string
                        field:
                          type: string
                        message:
                          type: string
                      required:
                        - field
                        - error_code
                        - message
                      type: object
                    type: array
                  hint:
                    type: string
                  message:
                    type: string
                  next_action:
                    additionalProperties: false
                    properties:
                      body:
                        additionalProperties: {}
                        type: object
                      method:
                        type: string
                      path:
                        type: string
                      tool:
                        type: string
                    required:
                      - tool
                      - method
                      - path
                    type: object
                  status:
                    maximum: 9007199254740991
                    minimum: -9007199254740991
                    type: integer
                required:
                  - status
                  - error_code
                  - message
                type: object
          description: agent_not_found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: Enter your API key (Bearer token)
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.